# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PointParameter Class Reference

RenderState wrapping the OpenGL function glPointParameter(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPointParameter.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PointParameter:

List of all members.

## Public Member Functions

| PointParameter (float sizemin=0, float sizemax=1024.0f, float fadethresholdsize=1.0f, fvec3 distanceattenuation=fvec3(1, 0, 0))
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (float sizemin, float sizemax, float fadethresholdsize, fvec3 distanceattenuation)
void | setDistanceAttenuation (fvec3 attenuation)
void | setSizeMin (float sizemin)
void | setSizeMax (float sizemax)
void | setFadeThresholdSize (float threshold)
fvec3 | distanceAttenuation () const
float | sizeMin () const
float | sizeMax () const
float | fadeThresholdSize () const
EPointSpriteCoordOrigin | pointSpriteCoordOrigin () const
void | setPointSpriteCoordOrigin (EPointSpriteCoordOrigin orig)
virtual ref< RenderState > | clone () const

## Protected Attributes

fvec3 | mDistanceAttenuation
float | mSizeMin
float | mSizeMax
float | mFadeThresholdSize
EPointSpriteCoordOrigin | mPointSpriteCoordOrigin

## Detailed Description

RenderState wrapping the OpenGL function glPointParameter(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPointParameter.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 1221 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::PointParameter::PointParameter | ( | float | sizemin = `0`,
|  | float | sizemax = `1024.0f`,
|  | float | fadethresholdsize = `1.0f`,
|  | fvec3 | distanceattenuation = `fvec3(1,0,0)`
| ) |  | `[inline]`

Definition at line 1226 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::PointParameter::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 1232 of file Shader.hpp.

References vl::RS_PointParameter.

void PointParameter::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 619 of file Shader.cpp.

References vl::Has_GL_Version_1_4, vl::Has_GL_Version_2_0, vl::Has_GL_Version_3_0, vl::Has_GL_Version_4_0, vl::Has_GLES_Version_1_1, mDistanceAttenuation, mFadeThresholdSize, mPointSpriteCoordOrigin, mSizeMax, mSizeMin, vl::Vector3< T_Scalar >::ptr(), and VL_CHECK_OGL.

void vl::PointParameter::set | ( | float | sizemin,
|  | float | sizemax,
|  | float | fadethresholdsize,
|  | fvec3 | distanceattenuation
| ) |  | `[inline]`

Definition at line 1236 of file Shader.hpp.

void vl::PointParameter::setDistanceAttenuation | ( | fvec3 | attenuation ) | `[inline]`

Definition at line 1238 of file Shader.hpp.

void vl::PointParameter::setSizeMin | ( | float | sizemin ) | `[inline]`

Definition at line 1240 of file Shader.hpp.

void vl::PointParameter::setSizeMax | ( | float | sizemax ) | `[inline]`

Definition at line 1242 of file Shader.hpp.

void vl::PointParameter::setFadeThresholdSize | ( | float | threshold ) | `[inline]`

Definition at line 1244 of file Shader.hpp.

fvec3 vl::PointParameter::distanceAttenuation | ( | ) | const`[inline]`

Definition at line 1246 of file Shader.hpp.

float vl::PointParameter::sizeMin | ( | ) | const`[inline]`

Definition at line 1248 of file Shader.hpp.

float vl::PointParameter::sizeMax | ( | ) | const`[inline]`

Definition at line 1250 of file Shader.hpp.

float vl::PointParameter::fadeThresholdSize | ( | ) | const`[inline]`

Definition at line 1252 of file Shader.hpp.

EPointSpriteCoordOrigin vl::PointParameter::pointSpriteCoordOrigin | ( | ) | const`[inline]`

Definition at line 1254 of file Shader.hpp.

void vl::PointParameter::setPointSpriteCoordOrigin | ( | EPointSpriteCoordOrigin | orig ) | `[inline]`

Definition at line 1256 of file Shader.hpp.

virtual ref<RenderState> vl::PointParameter::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 1258 of file Shader.hpp.

## Member Data Documentation

fvec3 vl::PointParameter::mDistanceAttenuation`[protected]`

Definition at line 1266 of file Shader.hpp.

Referenced by apply().

float vl::PointParameter::mSizeMin`[protected]`

Definition at line 1267 of file Shader.hpp.

Referenced by apply().

float vl::PointParameter::mSizeMax`[protected]`

Definition at line 1268 of file Shader.hpp.

Referenced by apply().

float vl::PointParameter::mFadeThresholdSize`[protected]`

Definition at line 1269 of file Shader.hpp.

Referenced by apply().

EPointSpriteCoordOrigin vl::PointParameter::mPointSpriteCoordOrigin`[protected]`

Definition at line 1270 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.